gntmenuitemcheck.h File Reference
GNT (GLib Ncurses Toolkit)
`#include "gnt.h"`
`#include "gntcolors.h"`
`#include "gntkeys.h"`
`#include "gntmenuitem.h"`

Go to the source code of this file.

## Data Structures

struct | _GntMenuItemCheck
struct | _GntMenuItemCheckClass

## Macros

#define | GNT_TYPE_MENU_ITEM_CHECK (gnt_menuitem_check_get_gtype())
#define | GNT_MENU_ITEM_CHECK(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), GNT_TYPE_MENU_ITEM_CHECK, GntMenuItemCheck))
#define | GNT_MENU_ITEM_CHECK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), GNT_TYPE_MENU_ITEM_CHECK, GntMenuItemCheckClass))
#define | GNT_IS_MENU_ITEM_CHECK(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), GNT_TYPE_MENU_ITEM_CHECK))
#define | GNT_IS_MENU_ITEM_CHECK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), GNT_TYPE_MENU_ITEM_CHECK))
#define | GNT_MENU_ITEM_CHECK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), GNT_TYPE_MENU_ITEM_CHECK, GntMenuItemCheckClass))
#define | GNT_MENU_ITEM_CHECK_FLAGS(obj) (GNT_MENU_ITEM_CHECK(obj)->priv.flags)
#define | GNT_MENU_ITEM_CHECK_SET_FLAGS(obj, flags) (GNT_MENU_ITEM_CHECK_FLAGS(obj) |= flags)
#define | GNT_MENU_ITEM_CHECK_UNSET_FLAGS(obj, flags) (GNT_MENU_ITEM_CHECK_FLAGS(obj) &= ~(flags))

## Typedefs

typedef struct _GntMenuItemCheck | GntMenuItemCheck
typedef struct _GntMenuItemCheckPriv | GntMenuItemCheckPriv
typedef struct _GntMenuItemCheckClass | GntMenuItemCheckClass

## Functions

G_BEGIN_DECLS GType | gnt_menuitem_check_get_gtype (void)
GntMenuItem * | gnt_menuitem_check_new (const char *text)
| Create a new menuitem. More...
gboolean | gnt_menuitem_check_get_checked (GntMenuItemCheck *item)
| Check whether the menuitem is checked or not. More...
void | gnt_menuitem_check_set_checked (GntMenuItemCheck *item, gboolean set)
| Set whether the menuitem is checked or not. More...

## Detailed Description

Check Menuitem API

Definition in file gntmenuitemcheck.h.

## Function Documentation

## gnt_menuitem_check_get_checked()

gboolean gnt_menuitem_check_get_checked | ( | GntMenuItemCheck * | item | ) |

Check whether the menuitem is checked or not.

Parameters

  item | The menuitem.

Returns
  `TRUE` if the item is checked, `FALSE` otherwise.

## gnt_menuitem_check_get_gtype()

G_BEGIN_DECLS GType gnt_menuitem_check_get_gtype | ( | void |  | ) |

Returns
  GType for GntMenuItemCheck.

## gnt_menuitem_check_new()

GntMenuItem* gnt_menuitem_check_new | ( | const char * | text | ) |

Create a new menuitem.

Parameters

  text | The text for the menuitem.

Returns
  The newly created menuitem.

## gnt_menuitem_check_set_checked()

void gnt_menuitem_check_set_checked | ( | GntMenuItemCheck * | item,
|  | gboolean | set
| ) |  |

Set whether the menuitem is checked or not.

Parameters

  item | The menuitem.
  set | `TRUE` if the item should be checked, `FALSE` otherwise.